﻿namespace Luticate2.Auth.Dbo.Result
{
    /// <summary>
    /// Represents a success or error code used for <see cref="LuResult{T}"/>.
    /// Codes strictly less than 1000 are reserved. Any other value can be used by user for custom error reporting.
    /// </summary>
    public enum LuStatus
    {
        // Success
        Success = 1,
        
        // Generic errors
        InternalError = 10,
        InputError = 11,
        NotFound = 12,
        
        // Backend errors
        BackendError = 20,
        DbError = 21,
        FsError = 22,
        
        // Auth errors
        LoginError = 30,
        PermissionError = 31
    }
}